package com.hithomelabs.clients.module6;

import com.hithomelabs.princeton1.common.Apple;
import com.hithomelabs.princeton1.module6.Merge;

import java.util.Random;

public class MergeClient {


    public static void main(String[] args) {
        int size = 100;
        Apple[] apples = new Apple[size];
        Merge<Apple> merge = new Merge<Apple>();

        for (int i = 0; i < apples.length; i++) {
            apples[i] = new Apple(new Random().nextInt(1000));
        }
        merge.sort(apples);
        for (int i = 0; i < apples.length; i++)
            System.out.println(apples[i]);
    }
}
